Bug 382901 - "Enable Desktop Effects" reduces number of workspaces to 4
"Enable Desktop Effects" reduces number of workspaces to 4
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Triaged
: 481275 (view as bug list)
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2007-11-14 12:19 EST by Braden McDaniel
Modified: 2011-06-27 09:55 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of the dialog in question (23.88 KB, image/png)
2010-06-07 07:37 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Braden McDaniel 2007-11-14 12:19:09 EST
Description of problem:
Using "Enable Desktop Effects" to start compiz reduces the number of workspaces
to 4.

Version-Release number of selected component (if applicable):
0.6.2-3.fc8
Comment 1 Bojan Smojver 2007-11-21 00:43:24 EST
Not only that, but if you use gnome-compiz-manager to increase that to say 6,
all kinds of weird stuff start happening when you select Move to Another
Workspace on the window menu. Windows end up in the wrong workspace or they end
up on the edge of one of the workspaces (i.e. they do not move by the size of
the workspace at all).

Also, if one clicks Workspace Switcher Preferences, there is no option to change
how many workspaces should there be. This is not the case with metacity - it
give options for this.
Comment 2 Bojan Smojver 2008-01-16 18:16:04 EST
Ping... Anyone looked at this? Still a problem in F8.
Comment 3 Bojan Smojver 2008-01-31 17:02:28 EST
Just for the record, my second comment, about Workspace Switcher Preferences -
this has been fixed.

The other behaviour, where one attempts to move windows to other workspaces by
any method except Left or Right, still does end up in complete confusion, as
described. Please note, for this to be observed, do _not_ enable workspaces on cube.
Comment 4 Matěj Cepl 2008-02-01 17:52:11 EST
Well, I cannot confirm your observation about Workspace Switcher
(http://bugzilla.gnome.org/show_bug.cgi?id=513792 :-)), but I can fully confirm
weird movement of windows to random desktops.
Comment 5 Adam Huffman 2008-02-13 11:12:22 EST
I've just noticed the same thing i.e. when running compiz, Move to Workspace
only does the right thing when moving a window from workspace 1.  If I try to
move a window from workspace 2 to 4, it ends up on workspace 1.
Comment 6 Bojan Smojver 2008-05-16 07:28:43 EDT
In Fedora 9, compiz appears to be placing windows on correct workspaces when
asked. So, the first paragraph from comment #1 appears not to be true any more.
Comment 7 Joachim Frieben 2009-02-26 04:00:44 EST
For F10 w/updates as of 2009-02-26 and compiz-0.7.8-7.fc10, enabling desktop effects still renders the workplace switcher applet unusable. At first, all windows get shuffled to the active desktop. Moreover, it is impossible to drag a window from one desktop to another one by using the applet in the bottom panel.
Comment 8 Bug Zapper 2009-06-09 19:11:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Joachim Frieben 2009-06-10 04:04:25 EDT
Issue still present for F11 final w/updates.
Comment 10 Vedran Miletić 2009-08-26 08:19:04 EDT
*** Bug 481275 has been marked as a duplicate of this bug. ***
Comment 11 Robert Scheck 2009-09-29 19:04:50 EDT
Kristian, can we please get this solved soon?
Comment 12 sawrub 2009-10-28 12:50:26 EDT
Under F11 ,with "Desktop Effects" enabled , the workspace switcher preferences shows no option for changing the number.
Disabling "Desktop Effects" works great.
Comment 13 Robert Scheck 2009-10-28 12:53:28 EDT
But the issue still exists: I can't have more than four workspaces with the
desktop effects enabled - so can we please get this solved soon? It worked in
e.g. Fedora 8 already: Compiz and more than four workspaces.
Comment 14 Bojan Smojver 2009-10-28 16:57:28 EDT
(In reply to comment #13)
> But the issue still exists: I can't have more than four workspaces with the
> desktop effects enabled - so can we please get this solved soon? It worked in
> e.g. Fedora 8 already: Compiz and more than four workspaces.

You can do this by using Gnome's Configuration Editor.

The problem is that if you set up more than 4 with Metacity, when you switch to Compiz you'll get back to 4. And, preferences of the workspace switcher will not let you set the number.
Comment 16 Matěj Cepl 2009-11-17 07:00:48 EST
Switching incorrect assignees to the default one.
Comment 17 Yves L'ECUYER 2010-02-28 13:01:50 EST
yes during some time till Fedora 11 included, number of workspace in metacity were automatically translated in corresponding number of workspace in Compiz-fusion.
But in Fedora 12 this is no more the case, even with "gnome compatibility" enabled in compiz "Setting manager"

But you can at least fix them independently in compiz "Setting manager"
-> General Options -> Desktop size -> Virtual horizontal size: 4 by default
Comment 18 Bug Zapper 2010-03-15 07:57:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Qji 2010-05-06 08:54:22 EDT
(In reply to comment #17)
> yes during some time till Fedora 11 included, number of workspace in metacity
> were automatically translated in corresponding number of workspace in
> Compiz-fusion.
> But in Fedora 12 this is no more the case, even with "gnome compatibility"
> enabled in compiz "Setting manager"
> 
> But you can at least fix them independently in compiz "Setting manager"
> -> General Options -> Desktop size -> Virtual horizontal size: 4 by default    


additional info: compiz settings manager is not installed by default, it is in th ccsm package.
It worked me on Fedora 12.
Comment 20 Gerald Pfeifer 2010-05-24 13:47:03 EDT
I also ran into this right now, and it's quite confusing (and took me
a while to realize).
Comment 21 Andy Lutomirski 2010-06-06 13:19:44 EDT
So this may or may not be a bug, but the help text is certainly less than useless:

--- Quote from F13's help ---

Adding Workspaces

    * Desktop User Guide
    * Desktop Overview
    * Workspaces

To add workspaces to the GNOME Desktop, right-click on the Workspace Switcher applet, then choose Preferences. The Workspace Switcher Preferences dialog
is displayed. Use the Number of workspaces spin box to
specify the number of workspaces that you require.

--- End quote ---

But there isn't a "Number of workspaces" spin box.  ccsm's control works just fine.
Comment 22 Matěj Cepl 2010-06-07 07:37:18 EDT
Created attachment 421796 [details]
screenshot of the dialog in question

(In reply to comment #21)
> But there isn't a "Number of workspaces" spin box.  ccsm's control works just
> fine.    

Don't you have something like attached (of course, in your locale, this is the Czech one)?
Comment 23 Bug Zapper 2011-06-02 14:36:56 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Andy Lutomirski 2011-06-02 16:07:27 EDT
This bug is mostly moot with the switch to GNOME 3 in F15.
Comment 25 Robert Scheck 2011-06-02 16:14:19 EDT
GNOME 3 introduced enough new issues and problems, e.g. it makes me less 
effective during work by its new layout, missing menus etc. But yes, this
bug report needs to be closed - unfortunately.
Comment 26 Bojan Smojver 2011-06-02 19:39:52 EDT
(In reply to comment #25)
> GNOME 3 introduced enough new issues and problems, e.g. it makes me less 
> effective during work by its new layout, missing menus etc.

And I thought I was the only one... Long live Gnome classic with Compiz and fallback mode!
Comment 27 Bug Zapper 2011-06-27 09:55:53 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.